httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ron Hawkins <rhawk...@ssa-corp.com>
Subject [users@httpd] Apache fails to start after updating openssl from 1.0.1j to 1.0.2g
Date Mon, 14 Mar 2016 17:05:28 GMT
Hello, I tried updating the version of OpenSSL on my Apache web server from 1.0.1j to 1.0.2g
and now the web server won't start (actually I dropped back so I'm not totally freaking out).
 It appears to be failing before it can write to the error log.  To update I simply copied
openssl.exe, libeay32.dll, and ssleay32.dll to the \Apache\bin folder.  

Here are the pertinent details on my server:
     Windows 2008 R2
     Apache 2.2.6 (Win32)
     Openssl 1.0.2g binaries downloaded from https://indy.fulgan.com/SSL/openssl-1.0.2g-i386-win32.zip
     I also tried https://indy.fulgan.com/SSL/openssl-1.0.1s-i386-win32.zip with the same
results.

I have a dev server running Apache 2.4.12 and it updated successfully.

Is there a compatibility problem with Apache 2.2.6 and OpenSSL 1.0.2g?  I'm considering upgrading
Apache to find out, but I don't want to take my site down any more than I have to.

Ron 


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message